JaxbOneToManyElement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbOneToManyElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbOneToManyElement

    public class JaxbOneToManyElement

extends Object

Java class for one-to-many-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="one-to-many-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="class" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="embed-xml" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="entity-name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="node" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="not-found" type="{http://www.hibernate.org/xsd/hibernate-mapping}not-found-attribute" default="exception" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `clazz`
`protected Boolean` | `embedXml`
`protected String` | `entityName`
`protected String` | `node`
`protected JaxbNotFoundAttribute` | `notFound`

Constructor Summary
`JaxbOneToManyElement()`

Method Summary
`String` | `getClazz()` Gets the value of the clazz property.
`String` | `getEntityName()` Gets the value of the entityName property.
`String` | `getNode()` Gets the value of the node property.
`JaxbNotFoundAttribute` | `getNotFound()` Gets the value of the notFound property.
`boolean` | `isEmbedXml()` Gets the value of the embedXml property.
`void` | `setClazz(String value)` Sets the value of the clazz property.
`void` | `setEmbedXml(Boolean value)` Sets the value of the embedXml property.
`void` | `setEntityName(String value)` Sets the value of the entityName property.
`void` | `setNode(String value)` Sets the value of the node property.
`void` | `setNotFound(JaxbNotFoundAttribute value)` Sets the value of the notFound property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### clazz

    protected String clazz

### embedXml

    protected Boolean embedXml

### entityName

    protected String entityName

### node

    protected String node

### notFound

    protected JaxbNotFoundAttribute notFound

Constructor Detail

### JaxbOneToManyElement

    public JaxbOneToManyElement()

Method Detail

### getClazz

    public String getClazz()

  Gets the value of the clazz property.

  Returns:
    possible object is `String`

### setClazz

    public void setClazz(String value)

  Sets the value of the clazz property.

  Parameters:
    `value` - allowed object is `String`

### isEmbedXml

    public boolean isEmbedXml()

  Gets the value of the embedXml property.

  Returns:
    possible object is `Boolean`

### setEmbedXml

    public void setEmbedXml(Boolean value)

  Sets the value of the embedXml property.

  Parameters:
    `value` - allowed object is `Boolean`

### getEntityName

    public String getEntityName()

  Gets the value of the entityName property.

  Returns:
    possible object is `String`

### setEntityName

    public void setEntityName(String value)

  Sets the value of the entityName property.

  Parameters:
    `value` - allowed object is `String`

### getNode

    public String getNode()

  Gets the value of the node property.

  Returns:
    possible object is `String`

### setNode

    public void setNode(String value)

  Sets the value of the node property.

  Parameters:
    `value` - allowed object is `String`

### getNotFound

    public JaxbNotFoundAttribute getNotFound()

  Gets the value of the notFound property.

  Returns:
    possible object is `JaxbNotFoundAttribute`

### setNotFound

    public void setNotFound(JaxbNotFoundAttribute value)

  Sets the value of the notFound property.

  Parameters:
    `value` - allowed object is `JaxbNotFoundAttribute`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.